package Locale::CLDR::Transformations::Any::Interindic::Devanagari;
# This file auto generated from Data\common\transforms\InterIndic-Devanagari.xml
#	on Sun 24 Apr  8:12:36 am GMT

use version;

our $VERSION = version->declare('v0.29.0');

use v5.10.1;
use mro 'c3';
use utf8;
use if $^V ge v5.12.0, feature => 'unicode_strings';

use Types::Standard qw( Str Int HashRef ArrayRef CodeRef RegexpRef );
use Moo;

BEGIN {
	die "Transliteration requires Perl 5.18 or above"
		unless $^V ge v5.18.0;
}

no warnings 'experimental::regex_sets';
has 'transforms' => (
	is => 'ro',
	isa => ArrayRef,
	init_arg => undef,
	default => sub { [
		qr/(?^um:\G.)/,
		{
			type => 'transform',
			data => [
			],
		},
		{
			type => 'conversion',
			data => [
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ऩ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ऱ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ऴ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(क़),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ख़),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ग़),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ज़),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ड़),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ढ़),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(फ़),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(य़),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(औ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q(),
					result  => q(०),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:1)),
					result  => q(१),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ँ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ं),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ः),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ऄ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(अ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(आ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(इ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ई),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(उ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ऊ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ऋ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ऌ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ऍ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ऎ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ए),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ऐ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ऑ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ऒ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ओ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(औ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(क),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ख),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ग),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(घ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ङ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(च),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(छ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ज),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(झ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ञ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ट),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ठ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ड),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ढ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ण),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(त),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(थ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(द),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ध),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(न),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ऩ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(प),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(फ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ब),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(भ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(म),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(य),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(र),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ऱ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ल),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ळ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ऴ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(व),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(श),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ष),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(स),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ह),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(़),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ऽ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ा),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ि),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ी),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ु),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ू),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ृ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ॄ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ॅ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ॆ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(े),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ै),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ॉ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ॊ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ो),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ौ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(्),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ॐ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(॑),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(॒),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(॓),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(॔),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(क़),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ख़),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ग़),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ज़),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ड़),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ढ़),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(फ़),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(य़),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ॠ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ॡ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ॢ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ॣ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(।),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(॥),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(०),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(१),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(२),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(३),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(४),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(५),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(६),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(७),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(८),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(९),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(॰),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(र),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(र),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(रू),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(व),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ॽ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(त्),
					revisit => 0,
				},
			]
		},
	] },
);

no Moo;

1;

# vim: tabstop=4
