package Locale::CLDR::Transformations::Any::Interindic::Gujarati;
# This file auto generated from Data\common\transforms\InterIndic-Gujarati.xml
#	on Sun 24 Apr  8:12:36 am GMT

use version;

our $VERSION = version->declare('v0.29.0');

use v5.10.1;
use mro 'c3';
use utf8;
use if $^V ge v5.12.0, feature => 'unicode_strings';

use Types::Standard qw( Str Int HashRef ArrayRef CodeRef RegexpRef );
use Moo;

BEGIN {
	die "Transliteration requires Perl 5.18 or above"
		unless $^V ge v5.18.0;
}

no warnings 'experimental::regex_sets';
has 'transforms' => (
	is => 'ro',
	isa => ArrayRef,
	init_arg => undef,
	default => sub { [
		qr/(?^um:\G.)/,
		{
			type => 'transform',
			data => [
			],
		},
		{
			type => 'conversion',
			data => [
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ઁ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ં),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ઃ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(અ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(અ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(આ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ઇ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ઈ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ઉ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ઊ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ઋ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ઌ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ઍ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(એ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(એ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ઐ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ઑ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ઓ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ઓ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ઔ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ક),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ખ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ગ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ઘ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ઙ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ચ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(છ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(જ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ઝ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ઞ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ટ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ઠ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ડ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ઢ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ણ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ત),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(થ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(દ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ધ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ન),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ન઼),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(પ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ફ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(બ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ભ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(મ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ય),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ર),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ર઼),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(લ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ળ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ળ઼),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(વ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(શ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ષ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(સ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(હ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(઼),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ઽ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ા),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(િ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ી),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ુ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ૂ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ૃ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ૄ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ૅ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ે),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ે),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ૈ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ૉ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ો),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ો),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ૌ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(્),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ૐ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ૈ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ૌ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ક઼),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ખ઼),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ગ઼),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(જ઼),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ડ઼),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ઢ઼),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ફ઼),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ય઼),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ૠ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ૡ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(િ઼),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ી઼),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(।),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(॥),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(૦),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(૧),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(૨),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(૩),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(૪),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(૫),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(૬),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(૭),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(૮),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(૯),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(૰),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ર),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ર),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(વ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ત્),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q(),
					result  => q(૦),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:1)),
					result  => q(૧),
					revisit => 0,
				},
			]
		},
	] },
);

no Moo;

1;

# vim: tabstop=4
