package Locale::CLDR::Transformations::Any::Interindic::Tamil;
# This file auto generated from Data\common\transforms\InterIndic-Tamil.xml
#	on Sun 24 Apr  8:12:36 am GMT

use version;

our $VERSION = version->declare('v0.29.0');

use v5.10.1;
use mro 'c3';
use utf8;
use if $^V ge v5.12.0, feature => 'unicode_strings';

use Types::Standard qw( Str Int HashRef ArrayRef CodeRef RegexpRef );
use Moo;

BEGIN {
	die "Transliteration requires Perl 5.18 or above"
		unless $^V ge v5.18.0;
}

no warnings 'experimental::regex_sets';
has 'transforms' => (
	is => 'ro',
	isa => ArrayRef,
	init_arg => undef,
	default => sub { [
		qr/(?^um:\G.)/,
		{
			type => 'transform',
			data => [
			],
		},
		{
			type => 'conversion',
			data => [
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ஂ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ஂ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ஃ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(அ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(அ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ஆ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(இ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ஈ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(உ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ஊ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ரி),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ல),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ஏ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(எ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ஏ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ஐ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ஒ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ஒ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ஓ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ஔ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(க),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(க),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(க),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(க),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ங),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ச),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ச),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ஜ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ச),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ஞ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ட),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ட),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ட),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ட),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ண),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(த),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(த),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(த),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(த),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ன),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ந),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ன),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ப),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ப),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ப),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ப),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ம),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ய),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ற),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ர),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ற),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ல),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ழ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ள),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ழ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(வ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ஶ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ஷ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ஸ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ஹ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ா),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ி),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ீ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ு),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ூ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(்ரி),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(்ரி),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ா),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ெ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ே),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ை),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ா),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ொ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ோ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ௌ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(்),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ஓம்),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ை),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ௗ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(க),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(க),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(க),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ஜ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(த),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ட),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ப),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ய),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ரி),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ள),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ி),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ீ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(\'),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(\'),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(\u0BE6),
					revisit => 0,
				},
			]
		},
	] },
);

no Moo;

1;

# vim: tabstop=4
