package Locale::CLDR::Transformations::Any::Interindic::Telugu;
# This file auto generated from Data\common\transforms\InterIndic-Telugu.xml
#	on Sun 24 Apr  8:12:36 am GMT

use version;

our $VERSION = version->declare('v0.29.0');

use v5.10.1;
use mro 'c3';
use utf8;
use if $^V ge v5.12.0, feature => 'unicode_strings';

use Types::Standard qw( Str Int HashRef ArrayRef CodeRef RegexpRef );
use Moo;

BEGIN {
	die "Transliteration requires Perl 5.18 or above"
		unless $^V ge v5.18.0;
}

no warnings 'experimental::regex_sets';
has 'transforms' => (
	is => 'ro',
	isa => ArrayRef,
	init_arg => undef,
	default => sub { [
		qr/(?^um:\G.)/,
		{
			type => 'transform',
			data => [
			],
		},
		{
			type => 'conversion',
			data => [
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ఁ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ం),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ః),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(అ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(అ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ఆ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ఇ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ఈ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ఉ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ఊ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ఋ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ఌ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ఎ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ఎ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ఏ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ఐ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ఒ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ఒ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ఓ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ఔ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(క),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ఖ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(గ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ఘ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ఙ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(చ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ఛ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(జ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ఝ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ఞ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ట),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ఠ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(డ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ఢ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ణ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(త),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(థ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ద),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ధ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(న),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(న),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ప),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ఫ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(బ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(భ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(మ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(య),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ఱ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ర),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ఱ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ల),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ళ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ళ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(వ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(శ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ష),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(స),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(హ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ా),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ి),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ీ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ు),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ూ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ృ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ౄ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ె),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ె),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ే),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ై),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ొ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ొ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ో),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ౌ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(్),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ఓం),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ౕ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ౖ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ౌ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(క),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ఖ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(గ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(జ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ఢ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ఢ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ఫ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(య),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ౠ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ౡ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ి),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ీ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(\'),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(\'),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(౦),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(౧),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(౨),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(౩),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(౪),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(౫),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(౬),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(౭),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(౮),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(౯),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ర),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(ర),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(వ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:)),
					result  => q(త్),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q(),
					result  => q(౦),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:1)),
					result  => q(౧),
					revisit => 0,
				},
			]
		},
	] },
);

no Moo;

1;

# vim: tabstop=4
