package Locale::CLDR::Transformations::Any::My::My_fonipa;
# This file auto generated from Data\common\transforms\my-my_FONIPA.xml
#	on Sun 24 Apr  8:12:41 am GMT

use version;

our $VERSION = version->declare('v0.29.0');

use v5.10.1;
use mro 'c3';
use utf8;
use if $^V ge v5.12.0, feature => 'unicode_strings';

use Types::Standard qw( Str Int HashRef ArrayRef CodeRef RegexpRef );
use Moo;

BEGIN {
	die "Transliteration requires Perl 5.18 or above"
		unless $^V ge v5.18.0;
}

no warnings 'experimental::regex_sets';
has 'transforms' => (
	is => 'ro',
	isa => ArrayRef,
	init_arg => undef,
	default => sub { [
		qr/(?^um:\G.)/,
		{
			type => 'transform',
			data => [
				{
					from => q(Any),
					to => q(NFC),
				},
			],
		},
		{
			type => 'conversion',
			data => [
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ါ)),
					result  => q(\u102C),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:င်္)),
					result  => q(င်),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:္)),
					result  => q(\u103A),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ဿ)),
					result  => q(သ်သ),
					revisit => 0,
				},
			],
		},
		{
			type => 'transform',
			data => [
				{
					from => q(Any),
					to => q(Null),
				},
			],
		},
		{
			type => 'conversion',
			data => [
				{
					before  => q((?^u:[^.$])),
					after   => q((?^u:[က-ဪ ဿ ၌-၏ ၐ-ၕ]([့ျ-ှ])*[^်])),
					replace => q(),
					result  => q(\.),
					revisit => 0,
				},
			],
		},
		{
			type => 'transform',
			data => [
				{
					from => q(Any),
					to => q(Null),
				},
			],
		},
		{
			type => 'conversion',
			data => [
				{
					before  => q(),
					after   => q((?^u:[$])),
					replace => q((?^u:([က-အဿ][ျ-ှ]*))),
					result  => q($1a\u0330),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q((?^u:\.)),
					replace => q((?^u:([က-အဿ][ျ-ှ]*))),
					result  => q($1ə),
					revisit => 0,
				},
			],
		},
		{
			type => 'transform',
			data => [
				{
					from => q(Any),
					to => q(Null),
				},
			],
		},
		{
			type => 'conversion',
			data => [
				{
					before  => q((?^u:်(း)?[က-ဪ])),
					after   => q(),
					replace => q((?^u:်)),
					result  => q(),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:၎င်း)),
					result  => q(lə\.ɡa\u0301ʊ̯ɴ),
					revisit => 0,
				},
			],
		},
		{
			type => 'transform',
			data => [
				{
					from => q(Any),
					to => q(Null),
				},
			],
		},
		{
			type => 'conversion',
			data => [
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:က်)),
					result  => q(ɛʔ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ဂ်)),
					result  => q(ɛʔ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:င့်)),
					result  => q(ɪ\u0330ɴ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:င်း)),
					result  => q(ɪ\u0301ɴ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:င်)),
					result  => q(ɪ\u0300ɴ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:စ်)),
					result  => q(ɪʔ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ဉ့်)),
					result  => q(ɪ\u0330ɴ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ဉ်း)),
					result  => q(ɪ\u0301ɴ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ဉ်)),
					result  => q(ɪ\u0300ɴ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ည့်)),
					result  => q(ɛ\u0330),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ည်း)),
					result  => q(ɛ\u0301),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ည်)),
					result  => q(ɛ\u0300),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ဏ့်)),
					result  => q(a\u0330ɴ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ဏ်း)),
					result  => q(a\u0301ɴ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ဏ်)),
					result  => q(a\u0300ɴ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:တ်)),
					result  => q(aʔ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:န့်)),
					result  => q(a\u0330ɴ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:န်း)),
					result  => q(a\u0301ɴ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:န်)),
					result  => q(a\u0300ɴ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ပ်)),
					result  => q(aʔ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:မ့်)),
					result  => q(a\u0330ɴ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:မ်း)),
					result  => q(a\u0301ɴ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:မ်)),
					result  => q(a\u0300ɴ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ယ့်)),
					result  => q(ɛ\u0330),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ယ်း)),
					result  => q(ɛ\u0301),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ယ်)),
					result  => q(ɛ\u0300),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:သ်)),
					result  => q(aʔ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ာဉ့်)),
					result  => q(ɪ\u0330ɴ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ာဉ်း)),
					result  => q(ɪ\u0301ɴ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ာဉ်)),
					result  => q(ɪ\u0300ɴ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ာတ်)),
					result  => q(aʔ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ာဏ့်)),
					result  => q(a\u0330ɴ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ာဏ်း)),
					result  => q(a\u0301ɴ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ာဏ်)),
					result  => q(a\u0300ɴ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ာန့်)),
					result  => q(a\u0330ɴ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ာန်း)),
					result  => q(a\u0301ɴ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ာန်)),
					result  => q(a\u0300ɴ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ာပ်)),
					result  => q(aʔ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ာယ့်)),
					result  => q(ɛ\u0330),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ာယ်း)),
					result  => q(ɛ\u0301),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ာယ်)),
					result  => q(ɛ\u0300),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ာ့)),
					result  => q(a\u0330),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ား)),
					result  => q(a\u0301),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ာ)),
					result  => q(a\u0300),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ိက်)),
					result  => q(eɪ̯ʔ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ိစ်)),
					result  => q(eɪ̯ʔ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ိတ်)),
					result  => q(eɪ̯ʔ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ိန့်)),
					result  => q(e\u0330ɪ̯ɴ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ိန်း)),
					result  => q(e\u0301ɪ̯ɴ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ိန်)),
					result  => q(e\u0300ɪ̯ɴ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ိပ်)),
					result  => q(eɪ̯ʔ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ိမ့်)),
					result  => q(e\u0330ɪ̯ɴ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ိမ်း)),
					result  => q(e\u0301ɪ̯ɴ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ိမ်)),
					result  => q(e\u0300ɪ̯ɴ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ိုက်)),
					result  => q(aɪ̯ʔ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ိုင့်)),
					result  => q(a\u0330ɪ̯ɴ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ိုင်း)),
					result  => q(a\u0301ɪ̯ɴ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ိုင်)),
					result  => q(a\u0300ɪ̯ɴ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ိုဏ့်)),
					result  => q(a\u0330ɪ̯ɴ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ိုဏ်း)),
					result  => q(a\u0301ɪ̯ɴ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ိုဏ်)),
					result  => q(a\u0300ɪ̯ɴ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ိုယ့်)),
					result  => q(o\u0330),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ိုယ်း)),
					result  => q(o\u0301),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ိုယ်)),
					result  => q(o\u0300),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ို့)),
					result  => q(o\u0330),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ိုး)),
					result  => q(o\u0301),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ို)),
					result  => q(o\u0300),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ိံ့)),
					result  => q(e\u0330ɪ̯ɴ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ိံး)),
					result  => q(e\u0301ɪ̯ɴ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ိံ)),
					result  => q(e\u0300ɪ̯ɴ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ိ)),
					result  => q(i\u0330),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ီ့)),
					result  => q(i\u0330),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ီး)),
					result  => q(i\u0301),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ီ)),
					result  => q(i\u0300),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ုက်)),
					result  => q(oʊ̯ʔ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ုဂ်)),
					result  => q(oʊ̯ʔ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ုဏ့်)),
					result  => q(o\u0330ʊ̯ɴ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ုဏ်း)),
					result  => q(o\u0301ʊ̯ɴ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ုဏ်)),
					result  => q(o\u0300ʊ̯ɴ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ုတ်)),
					result  => q(oʊ̯ʔ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ုန့်)),
					result  => q(o\u0330ʊ̯ɴ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ုန်း)),
					result  => q(o\u0301ʊ̯ɴ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ုန်)),
					result  => q(o\u0300ʊ̯ɴ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ုပ်)),
					result  => q(oʊ̯ʔ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ုမ့်)),
					result  => q(o\u0330ʊ̯ɴ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ုမ်း)),
					result  => q(o\u0301ʊ̯ɴ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ုမ်)),
					result  => q(o\u0300ʊ̯ɴ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ုံ့)),
					result  => q(o\u0330ʊ̯ɴ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ုံး)),
					result  => q(o\u0301ʊ̯ɴ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ုံ)),
					result  => q(o\u0300ʊ̯ɴ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ု)),
					result  => q(u\u0330),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ူ့)),
					result  => q(u\u0330),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ူး)),
					result  => q(u\u0301),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ူ)),
					result  => q(u\u0300),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ေတ်)),
					result  => q(ɪʔ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ောက်)),
					result  => q(aʊ̯ʔ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ောင့်)),
					result  => q(a\u0330ʊ̯ɴ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ောင်း)),
					result  => q(a\u0301ʊ̯ɴ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ောင်)),
					result  => q(a\u0300ʊ̯ɴ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ော့)),
					result  => q(ɔ\u0330),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ေား)),
					result  => q(ɔ\u0301),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ော်)),
					result  => q(ɔ\u0300),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ော)),
					result  => q(ɔ\u0301),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ေ့)),
					result  => q(e\u0330),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ေး)),
					result  => q(e\u0301),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ေ)),
					result  => q(e\u0300),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ဲ့)),
					result  => q(ɛ\u0330),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ဲး)),
					result  => q(ɛ\u0301),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ဲ)),
					result  => q(ɛ\u0301),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ံ့)),
					result  => q(a\u0330ɴ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ံး)),
					result  => q(a\u0301ɴ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ံ)),
					result  => q(a\u0300ɴ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ွတ်)),
					result  => q(ʊʔ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ွန့်)),
					result  => q(ʊ\u0330ɴ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ွန်း)),
					result  => q(ʊ\u0301ɴ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ွန်)),
					result  => q(ʊ\u0300ɴ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ွပ်)),
					result  => q(ʊʔ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ွမ့်)),
					result  => q(ʊ\u0330ɴ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ွမ်း)),
					result  => q(ʊ\u0301ɴ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ွမ်)),
					result  => q(ʊ\u0300ɴ),
					revisit => 0,
				},
			],
		},
		{
			type => 'transform',
			data => [
				{
					from => q(Any),
					to => q(Null),
				},
			],
		},
		{
			type => 'conversion',
			data => [
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ကျ)),
					result  => q(t͡ɕ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ချ)),
					result  => q(t͡ɕʰ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ဂျ)),
					result  => q(d͡ʑ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ဃျ)),
					result  => q(d͡ʑ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ကြ)),
					result  => q(t͡ɕ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ခြ)),
					result  => q(t͡ɕʰ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ဂြ)),
					result  => q(d͡ʑ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ဃြ)),
					result  => q(d͡ʑ),
					revisit => 0,
				},
				{
					before  => q((?^u:ယ)),
					after   => q(),
					replace => q((?^u:[ျြ])),
					result  => q(),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ွှ)),
					result  => q(\u103E\u103D),
					revisit => 0,
				},
			],
		},
		{
			type => 'transform',
			data => [
				{
					from => q(Any),
					to => q(Null),
				},
			],
		},
		{
			type => 'conversion',
			data => [
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:သျှ)),
					result  => q(ʃ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:လျှ)),
					result  => q(ʃ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ြှ)),
					result  => q(\u103E\u103C),
					revisit => 0,
				},
			],
		},
		{
			type => 'transform',
			data => [
				{
					from => q(Any),
					to => q(Null),
				},
			],
		},
		{
			type => 'conversion',
			data => [
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ျှ)),
					result  => q(\u103E\u103B),
					revisit => 0,
				},
			],
		},
		{
			type => 'transform',
			data => [
				{
					from => q(Any),
					to => q(Null),
				},
			],
		},
		{
			type => 'conversion',
			data => [
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ငှ)),
					result  => q(ŋ̊),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ဉှ)),
					result  => q(ɲ̥),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ညှ)),
					result  => q(ɲ̥),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ဏှ)),
					result  => q(n̥),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:နှ)),
					result  => q(n̥),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:မှ)),
					result  => q(m̥),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ယှ)),
					result  => q(ʃ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ရှ)),
					result  => q(ʃ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:လှ)),
					result  => q(l̥),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ဝှ)),
					result  => q(w̥),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ဠှ)),
					result  => q(l̥),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ှ)),
					result  => q(),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q((?^u:ွ)),
					replace => q((?^u:ျ)),
					result  => q(),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q((?^u:ွ)),
					replace => q((?^u:ြ)),
					result  => q(),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ျ)),
					result  => q(j),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ြ)),
					result  => q(j),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ွ)),
					result  => q(w),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:က)),
					result  => q(k),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ခ)),
					result  => q(kʰ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ဂ)),
					result  => q(ɡ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ဃ)),
					result  => q(ɡ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:င)),
					result  => q(ŋ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:စ)),
					result  => q(s),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ဆ)),
					result  => q(sʰ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ဇ)),
					result  => q(z),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ဈ)),
					result  => q(z),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ဉ)),
					result  => q(ɲ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ည)),
					result  => q(ɲ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ဋ)),
					result  => q(t),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ဌ)),
					result  => q(tʰ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ဍ)),
					result  => q(d),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ဎ)),
					result  => q(d),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ဏ)),
					result  => q(n),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:တ)),
					result  => q(t),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ထ)),
					result  => q(tʰ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ဒ)),
					result  => q(d),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ဓ)),
					result  => q(d),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:န)),
					result  => q(n),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ပ)),
					result  => q(p),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ဖ)),
					result  => q(pʰ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ဗ)),
					result  => q(b),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ဘ)),
					result  => q(b),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:မ)),
					result  => q(m),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ယ)),
					result  => q(j),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ရ)),
					result  => q(j),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:လ်)),
					result  => q(),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:လ)),
					result  => q(l),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ဝ)),
					result  => q(w),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:သ)),
					result  => q(θ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ဟ)),
					result  => q(h),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ဠ)),
					result  => q(l),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:အ)),
					result  => q(ʔ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ဣ့)),
					result  => q(ʔḭ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ဣး)),
					result  => q(ʔí),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ဣ)),
					result  => q(ʔḭ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ဤ့)),
					result  => q(ʔḭ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ဤး)),
					result  => q(ʔí),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ဤ)),
					result  => q(ʔì),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ဥ့)),
					result  => q(ʔṵ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ဥး)),
					result  => q(ʔú),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ဥ)),
					result  => q(ʔṵ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ဦ့)),
					result  => q(ʔṵ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ဦး)),
					result  => q(ʔú),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ဦ)),
					result  => q(ʔù),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ဧ့)),
					result  => q(ʔḛ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ဧး)),
					result  => q(ʔé),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ဧ)),
					result  => q(ʔè),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ဩ့)),
					result  => q(ʔɔ̰),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ဩး)),
					result  => q(ʔɔ́),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ဩ)),
					result  => q(ʔɔ́),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ဪ့)),
					result  => q(ʔɔ̰),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ဪး)),
					result  => q(ʔɔ́),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:ဪ)),
					result  => q(ʔɔ̀),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:၌)),
					result  => q(n̥aɪ̯ʔ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:၍)),
					result  => q(jwḛ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:၏)),
					result  => q(ʔḭ),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:်)),
					result  => q(),
					revisit => 0,
				},
				{
					before  => q(),
					after   => q(),
					replace => q((?^u:[​-‍])),
					result  => q(),
					revisit => 0,
				},
			],
		},
		{
			type => 'transform',
			data => [
				{
					from => q(Any),
					to => q(NFC),
				},
			]
		},
	] },
);

no Moo;

1;

# vim: tabstop=4
